1 2 Previous Next 25 Replies Latest reply on Feb 16, 2019 2:30 AM by JVNK Go to original post
      • 15. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
        dbuenoparedes Novice

        Installing those missing rpm's did the trick, thanks for the tip Vijay2027!

        • 17. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
          rakeshpattu Lurker

          Hallo All,

           

          I tried to Install the three missing RPM

           

          release-notes-SLES-for-VMware-11.3.43-0.16.1

          SLES-for-VMware-release-DVD-11.3-1.68

          SLES-for-VMware-release-11.3-1.68

           

          I was not able to proceed further.

           

          Could you please help us on this , As per the discussion from VIjay he had already done this task

           

          Regards

          RAkesh

          • 18. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
            Vijay2027 Expert
            vExpert

            The solution provided is specific to vSphere environment.

             

            Share the output of below commands.

             

            1, ssh into vcsa with root account

             

            vpxd -v

             

            rpm -qa > /tmp/rpm.txt and attach the txt file to the thread

             

            VMware Knowledge Base

            • 19. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
              khan1234 Lurker

              Hi Vijay2027,

               

              I am having same issue recently upgraded vcenter 55 to 6 u2m now trying to upgrade to latest patch but its failing that packages already installed or exist. i compared my VCSA installed packages with my Lab VCSA and found that the same three RPM are missing as mentioned in your blog. please can you confirm how can i repackage rpm from Lab VCSA and copy them. i tried your command but i was not sure where those rpm are saved. please if you can confirm i will really appreciate.

               

              i just want to repackage rpm from my lab same version same patch level to my prod vcenter and see if this will fix the issue and i can install latest patches

               

              thanks,

              • 20. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
                Vijay2027 Expert
                vExpert

                I've attached missing rpm's.

                1 person found this helpful
                • 21. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
                  Vijay2027 Expert
                  vExpert

                  Hi khan1234 were you able to get this sorted?

                  1 person found this helpful
                  • 22. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
                    khan1234 Lurker

                    Hi Vijay2027,

                     

                    thank you very much for very prompt response. I have the following version 6.0.0.20050 Build Number 4191363 will the attached rpm work with this build?

                    I have not tried as yet but I will give a go tonight and will update the forum. I really appreciated your help.

                     

                    also just for knowledge just noob for Linux world how did you export the rpm and how can I install these rpm?

                     

                    much appreciated.

                     

                    Reagrds

                    • 23. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
                      khan1234 Lurker

                      Hi Vijay2027,

                       

                      thank you very much for your hardwork and finding the solution. i have installed the provided rpm's and i was able to patch VCSA successfully.  Well done and it was very helpfull

                       

                      excellent work.

                       

                      5 starts

                      • 25. Re: VCSA 6 | Upgrade from 6.0.0.5110 to 6.0.0.30400 fails
                        JVNK Lurker

                        Hey all,

                         

                        I Am trying to update VCSA 6.0.0.10200 BUild 3343022 to 6.0.0.30800 Build Number 9448190. But it gives me an update failed.

                         

                        I have checked the Software-package.log and saw the folowing:

                         

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:UpdateTask: status=running, percent=45, message=[Completed] Stage Packages

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:Opening file /etc/applmgmt/appliance/tasks.conf with lock

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:File /etc/applmgmt/appliance/tasks.conf locked

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:File /etc/applmgmt/appliance/tasks.conf unlocked

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:UpdateTask: status=running, percent=50, message=[Started] Test Package update

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:Opening file /etc/applmgmt/appliance/tasks.conf with lock

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:File /etc/applmgmt/appliance/tasks.conf locked

                        2019-02-16T11:09:36.047 [17520]DEBUG:task_manager:File /etc/applmgmt/appliance/tasks.conf unlocked

                        2019-02-16T11:09:36.047 [17520]DEBUG:vmware.vherd.base.software_update:Run command: ['/bin/rpm', '-Uhv', '--test', '/var/software-packages/*.rpm']

                        2019-02-16T11:09:39.047 [17520]DEBUG:vmware.vherd.base.software_update:STDOUT: Preparing...                ##################################################

                         

                         

                        2019-02-16T11:09:39.047 [17520]DEBUG:vmware.vherd.base.software_update:STDERR: warning: /var/software-packages/sshpass-1.06-7.1.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID 17280ddf

                        warning: /var/software-packages/vmware-tools-core-10.1.10-1.sles11.x86_64.rpm: Header V3 RSA/SHA1 signature: NOKEY, key ID 66fd4949

                        file /etc/init.d/snmpd from install of vmware-snmp-1.0.13-1.x86_64 conflicts with file from package net-snmp-5.4.2.1-5.1.x86_64

                         

                         

                        2019-02-16T11:09:40.047 [17520]DEBUG:vmware.vherd.base.software_update:Test transaction failed to update package

                        out=

                        error=

                        rc=254

                         

                         

                        2019-02-16T11:09:40.047 [17520]CRITICAL:root:Installation process failed

                        2019-02-16T11:09:40.047 [17520]DEBUG:root:Test transaction failed to update packages

                        Exception:

                        Traceback (most recent call last):

                          File "/usr/lib/applmgmt/support/scripts/software-packages.py", line 191, in install

                            thirdParty=args.thirdParty)

                          File "/usr/lib/applmgmt/base/py/vmware/vherd/base/software_update.py", line 1540, in installPackagesEP

                            _runTestTransaction(pkgType, percent=50)

                          File "/usr/lib/applmgmt/base/py/vmware/vherd/base/task_manager.py", line 158, in trackedfunc

                            value = func(*args, **kwargs)

                          File "/usr/lib/applmgmt/base/py/vmware/vherd/base/software_update.py", line 967, in _runTestTransaction

                            raise GenericException("Test transaction failed to update packages")

                        GenericException: Test transaction failed to update packages

                         

                        It looks like i am missing some RPM's to, but installing the RPM's fromt his topic isn't helping.

                         

                         

                        For the record: i need to install the RPM's by using the following command?

                        -  rpm -ivh release-notes-SLES-for-VMware-11.3.43-0.16.1.x86_64.rpm --nodeps

                         

                        Kind Regards

                        JVNK.

                        1 2 Previous Next